Subject: Re: [hybi] -09: SHA-1

From: Alexey Melnikov <[email-masked]>
Date: Thu, 07 Jul 2011 19:59:16 +0100

Peter Saint-Andre wrote:

>In finishing my review of -09, I noticed the normative reference to
>[FIPS.180-2.2002] for SHA-1. The WG might want to think about whether
>the existing attacks against SHA-1 might raise concerns about a lack of
>collision resistance for the Sec-WebSocket-Key header (see RFC 4270 and
>RFC 6194 for details). It's probably worth saying something about this
>in the security considerations.
>
There is no requirement for collision resistence, as far as I 
understand. IMHO, we can even use MD5.
SHA-1 is used to protect against replays (different requests will have 
different client key and thus different hashes) and intermediaries that 
would try to mess with websocket traffic without understanding it.

Do you think that needs to be said in the Security Considerations?